Sync starplot 0.95.5-4 (universe) from Debian unstable (main)

Bug #587627 reported by Artur Rona on 2010-05-30
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
starplot (Ubuntu)
Undecided
Unassigned

Bug Description

Please sync starplot 0.95.5-4 (universe) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
Debian has got a patch from Ubuntu delta.

Changelog entries since current maverick version 0.95.5-3ubuntu1:

starplot (0.95.5-4) unstable; urgency=low

  * Updated to Debian policy 3.8.3
  * Fixed the problem with FTBFS thanks for the patch to Kamal Mostafa
    <email address hidden> (Closes: #560544).
  * Added debian/README.source file explaining how dpatch works, according to
    Debian Policy.
  * Added ${misc:Depends} depends to bynary package, required by debhelper.

 -- Francisco Manuel Garcia Claramonte <email address hidden> Thu, 07 Jan 2010 22:24:30 +0100

Luke Faraone (lfaraone) wrote :

Hi,

-3ubuntu1 has the following entry:
      - Make HR Diagram window Options menu correctly reflect the state of
        the main window opts for Labels and Diameters on HR window startup.

This does not seem to be included in the Debian changelog. Has this also been merged?

Changed in starplot (Ubuntu):
status: New → In Progress
assignee: nobody → Luke Faraone (lfaraone)
assignee: Luke Faraone (lfaraone) → nobody
status: In Progress → Incomplete
Artur Rona (ari-tczew) wrote :

This does not included in the Debian changelog, but this is included in file: 02-fix-ftbfs-and-hrdiagram-opts.dpatch. This file is the same in -4 revision and current -3ubuntu1 delta. My explanation in bug report is clear:

Explanation of the Ubuntu delta and why it can be dropped:
Debian has got a patch from Ubuntu delta.

Changed in starplot (Ubuntu):
status: Incomplete → New
Daniel Holbach (dholbach) wrote :

ACKed.

Changed in starplot (Ubuntu):
status: New → Triaged
Jonathan Riddell (jr) wrote :

2010-06-08 22:29:48 INFO starplot_0.95.5.orig.tar.gz: already in distro - downloading from librarian
2010-06-08 22:29:48 INFO - <starplot_0.95.5-4.diff.gz: downloading from http://ftp.debian.org/debian/>
[Updating] starplot (0.95.5-3ubuntu1 [Ubuntu] < 0.95.5-4 [Debian])
 * Trying to add starplot...
2010-06-08 22:29:48 INFO - <starplot_0.95.5-4.dsc: downloading from http://ftp.debian.org/debian/>
2010-06-08 22:29:48 INFO - <starplot_0.95.5.orig.tar.gz: cached>
I: starplot [universe] -> starplot_0.95.5-3ubuntu1 [universe].

Changed in starplot (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers